// beispiele/buttondemo/mywidget1.h
#ifndef MYWIDGET_H
#define MYWIDGET_H
#include <QWidget>
#include <QPushButton>
#include <QVBoxLayout>
#include <QLabel>
#include "mypushbuttondialog.h"
#include "mycheckbuttondialog.h"
#include "myradiobuttondialog.h"

class MyWidget : public QWidget {
Q_OBJECT
public:
   MyWidget( const char* qstr = "Bitte whlen: ",
             QWidget *parent = 0 );
private:
   QPushButton *button0, *button1, *button2, *button3;
   QLabel*      label1;
   QVBoxLayout* layout;
   MyQPushDialog* pushDialog;
   MyQCheckBoxDialog* checkDialog;
   MyQRadioBoxDialog* radioDialog;
public slots:
   void qpush_exec();
   void qcheck_exec();
   void qradio_exec();
};
#endif

