// beispiele/groupbox/mywidget.cpp
#include "mywidget.h"
#include <QApplication>
#include <QMessageBox>

// Neue Widget-Klasse vom eigentlichen Widget ableiten
MyWidget::MyWidget( QWidget *parent): QWidget(parent)  {
   // Radio-Elemente des Widgets erzeugen
   rbutton1 = new QRadioButton ("Radio 1");
   rbutton2 = new QRadioButton ("Radio 2");
   rbutton3 = new QRadioButton ("Radio 3");
   rbutton4 = new QRadioButton ("Radio 1a");
   rbutton5 = new QRadioButton ("Radio 2a");
   rbutton6 = new QRadioButton ("Radio 3a");
   // Attribute setzen
   rbutton1->setChecked(true);
   rbutton4->setChecked(true);
   // Zwei neue Group-Boxen erzeugen
   groupBox1 = new QGroupBox("Radio-Auswahl &1");
   groupBox2 = new QGroupBox("Radio-Auswahl &2");
   // Attribute setzen
   groupBox2->setCheckable(true);
   groupBox2->setChecked(false);
   // Layout erzeugen
   vBox1 = new QVBoxLayout;
   vBox2 = new QVBoxLayout;
   // Elemente ins Layout einfgen
   vBox1->addWidget(rbutton1);
   vBox1->addWidget(rbutton2);
   vBox1->addWidget(rbutton3);
   vBox2->addWidget(rbutton4);
   vBox2->addWidget(rbutton5);
   vBox2->addWidget(rbutton6);
   // Attribute des Layouts setzen
   vBox1->addStretch(1);
   vBox2->addStretch(1);
   // Layout zu den Group-Boxen hinzufgen
   groupBox1->setLayout(vBox1);
   groupBox2->setLayout(vBox2);
   // Noch ein Layout fr die Group-Boxen
   QVBoxLayout* layout = new QVBoxLayout;
   layout->addWidget(groupBox1);
   layout->addWidget(groupBox2);
   setLayout(layout);
   setWindowTitle("QGroupBox - Demo");
}

